
%define crow_version 2.13.0
%define crow_release 0.1
%define crow_package 2.13.0
%define crow_dep_guiloader_cpp 2.13
%define crow_dep_dbus_glib 0.76

Name:           crow
Version:        %{crow_version}
Release:        %{crow_release}
Summary:        A graphical interfaces editor
Vendor:		      The Crow Designer Project

Group:          Development/Tools
License:        MIT
URL:            http://crow-designer.sourceforge.net
Source0:        http://dl.sourceforge.net/crow-designer/%{name}-%{crow_package}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       guiloader-c++ >= %{crow_dep_guiloader_cpp}
Requires:       dbus-glib >= %{crow_dep_dbus_glib}

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Obsoletes:      crow-devel < 2.13

BuildRequires:  guiloader-c++-devel >= %{crow_dep_guiloader_cpp}
BuildRequires:  dbus-glib-devel >= %{crow_dep_dbus_glib}
BuildRequires:  boost-devel

%description
The Crow Designer is a visual editor for building of graphical user interfaces. Interfaces are being saved in files of the GuiXml format and may be involved in applications by means of the GuiLoader library. During editing the following instruments are available to a user: a palette of GUI controls, an object tree, an editor canvas and a hierarchical property explorer. The property explorer gives a possibility to work with nested objects and arrays as well as with several selected objects simultaneously. The designer uses "widgets" of the GTK+ library as a GUI controls kit.

%prep
%setup -q -n %{name}-%{crow_package}

%build
%configure --disable-static --disable-dependency-tracking --enable-hiddenvisibility
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-, root, root, -)
%doc doc/*.txt
%{_libdir}/lib%{name}.so
%{_bindir}/%{name}
%{_bindir}/%{name}-service
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/packages/%{name}.xml
